#language: ru

@tma

Функционал: 002. Tma. Дозаполнение по контрагентам

Сценарий: 002.1. Tma. Создание каналов сбыта

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Справочники.к2КаналыСбыта" без контроля ссылок
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Каналы сбыта'
	Тогда открылось окно 'Каналы сбыта'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Каналы сбыта (создание)'
	И в поле 'Наименование' я ввожу текст 'Сети'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Каналы сбыта (создание) *' в течение 20 секунд
	Тогда открылось окно 'Каналы сбыта'
	И Я закрываю окно 'Каналы сбыта'

Сценарий: 002.2. Tma. Создание групп партнеров планирования

	Дано я удаляю объекты "Справочники.к2ГруппыПартнеровПланирования" без контроля ссылок
	И Я создаю группу партнеров для планирования "Лента" с каналом сбыта "Сети"
	И Я создаю группу партнеров для планирования "Магнит" с каналом сбыта "Сети"

Сценарий: 002.3. Tma. Заполенение групп партнеров планирования для контрагентов

	И Я заполняю группу планирования "Лента" для конрагента "Лента"
	И Я заполняю группу планирования "Магнит" для конрагента "Магнит"

Сценарий: 002.4. Tma. Установка цен

	Дано я удаляю объекты "Документы.к2УстановкаЦенНоменклатуры" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка цен (создание)'
	И в поле 'от' я ввожу текст '01.01.2018'
	И Я добавляю вид цены "Базовая(ТМА)" в документ установка цен
	И Я добавляю вид цены "Себестоимость(ТМА)" в документ установка цен
	И Я добавляю вид цены "Отпускная(ТМА)" в документ установка цен
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И Я подбираю номенклатуру "Фета"
	И Я подбираю номенклатуру "Сливочный сыр с ветчиной"
	И Я подбираю номенклатуру "Сливочный сыр"
	И Я подбираю номенклатуру "Брынза"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Фета" и цены "ДеревоЦенНоваяЦена_113" цену "100,00"
	И Я устанавливаю для номенклатуры "Фета" и цены "ДеревоЦенНоваяЦена_114" цену "80,00"
	И Я устанавливаю для номенклатуры "Фета" и цены "ДеревоЦенНоваяЦена_115" цену "110,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр с ветчиной" и цены "ДеревоЦенНоваяЦена_113" цену "80,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр с ветчиной" и цены "ДеревоЦенНоваяЦена_114" цену "60,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр с ветчиной" и цены "ДеревоЦенНоваяЦена_115" цену "90,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр" и цены "ДеревоЦенНоваяЦена_113" цену "90,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр" и цены "ДеревоЦенНоваяЦена_114" цену "70,00"
	И Я устанавливаю для номенклатуры "Сливочный сыр" и цены "ДеревоЦенНоваяЦена_115" цену "100,00"
	И Я устанавливаю для номенклатуры "Брынза" и цены "ДеревоЦенНоваяЦена_113" цену "110,00"
	И Я устанавливаю для номенклатуры "Брынза" и цены "ДеревоЦенНоваяЦена_114" цену "75,00"
	И Я устанавливаю для номенклатуры "Брынза" и цены "ДеревоЦенНоваяЦена_115" цену "120,00"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И Я закрываю окно 'История изменения цен'

Сценарий: 002.5. Tma. Завершение

	И Я закрыл все окна клиентского приложения